Instale php-zip en php 5.6 en Ubuntu [duplicate]

1 minuto de lectura

No puedo instalar php-zip en mi Ubuntu VM con el último php5.6.

No puedo encontrar nada claro al respecto.

Todavía recibo ese error de Apache:

PHP Fatal error:  Class 'ZipArchive' not found in /var/www/uta/system/library/PHPExcel/PHPExcel/Writer/...

Gracias

  • ¿Seguiste las instrucciones en php.net/manual/en/zip.installation.php ? Sé que volver a compilar PHP desde la fuente no es lo ideal, pero en mi opinión es la forma más confiable de obtener exactamente lo que necesitas.

    – apokryfos

    29 de junio de 2016 a las 15:52


avatar de usuario
gareth parker

Prueba cualquiera

  • sudo apt-get install php-zip o
  • sudo apt-get install php5.6-zip

Entonces, es posible que deba reiniciar su servidor web.

  • sudo service apache2 restart o
  • sudo service nginx restart

Si está instalando en centos o fedora OS, use yum en lugar de apt-get. ejemplo:-

sudo yum install php-zip o
sudo yum install php5.6-zip y
sudo service httpd restart

  • apt-get install php5.6-zip funciona allí gracias

    – SoCket7

    5 de julio de 2016 a las 13:24

  • trabaja para php-7.0 además

    – Thamaraiselvam

    21 de febrero de 2017 a las 10:29

  • ¡Debemos reiniciar el servidor Apache para verificar el efecto!

    –Manish Goswami

    26 de febrero de 2017 a las 14:25

  • Dependiendo de la versión de PHP, deberá instalar php5.6-zip, php7.0-zip, php7.1-zip php7.2-zip. Es posible que tenga 3 versiones de PHP (ese es mi caso). Asegúrese de obtener el que necesita. No siempre es fácil saber si usas un CMS por ejemplo.

    – jcm69

    18 de julio de 2017 a las 13:27

  • ahora estoy recibiendo Unable to locate package para ambos apt-gets. stackoverflow.com/questions/18774568/… puede ayudar más ahora.

    – Ganso

    16/10/2017 a las 21:16

¿Ha sido útil esta solución?